
Redmine - Defect #24014

Custom fields not used in project should not be visible in spent time report

2016-10-07 13:41 - Maxim Krušina

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.3.1   

Resolution: Fixed Affected version: 3.3.0

Description

We have really lot of custom fields, mostly used by only some trackers/projects.

Anyway I just found, when working with project Spent Time report and adding new filter, there are listed all issue's custom fields

defined across whole redmine, which doesn't make sense and also it floods select list with so much (even non usable) items.

Related issues:

Related to Redmine - Defect #25501: Time entries query through multiple proje... Closed

Associated revisions

Revision 15890 - 2016-10-08 09:28 - Jean-Philippe Lang

Consider custom fields that correspond to the project only (#24014).

Revision 15893 - 2016-10-09 10:39 - Jean-Philippe Lang

Merged r15890 (#24014).

History

#1 - 2016-10-08 09:30 - Jean-Philippe Lang

- Subject changed from Custom fields not used in project visible in spent time report to Custom fields not used in project should not be visible in spent

time report

- Category set to Time tracking

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.1

- Resolution set to Fixed

Fixed in r15890, thanks for pointing this out.

#2 - 2016-10-09 10:39 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#3 - 2016-10-31 17:20 - Toshi MARUYAMA

- Description updated

#4 - 2017-04-03 14:45 - Jan from Planio www.plan.io

- Related to Defect #25501: Time entries query through multiple projects by issue custom field not possible anymore. added
